#!/bin/bash

podman pod create --name=forgejo \
  -p 127.0.0.1:3000:3000 \
  -p 2222:22

# PORTS:
# - 3000 = WEB
# - 2222 = SSH

podman create \
  --pod=forgejo \
  --name=forgejo_db \
  --volume=./data/db:/var/lib/postgresql/data:Z \
  -e 'POSTGRES_DB=forgejo' \
  -e 'POSTGRES_USER=forgejouser' \
  --env-file=db.env \
  docker.io/postgres:latest

# -e 'POSTGRES_PASSWORD=YOUR_DB_PASSWORD' \

podman create \
  --pod=forgejo \
  --name=forgejo_forgejo \
  --volume=./data/forgejo:/data:Z \
  -e 'GITEA__database__DB_TYPE=postgres' \
  -e 'GITEA__database__HOST=localhost' \
  -e 'GITEA__database__NAME=forgejo' \
  -e 'GITEA__database__USER=forgejouser' \
  --env-file=forgejo.env \
  codeberg.org/forgejo/forgejo:1.19

# -e 'GITEA__database__PASSWD=YOUR_DB_PASSWORD' \
