#!/bin/bash

podman pod create --name=synapse \
  -p 127.0.0.1:8008:8008 # SYNAPSE

podman create \
  --pod=synapse \
  --name=synapse_db \
  --volume=./data/db:/var/lib/postgresql/data:Z \
  -e 'POSTGRES_USER=synapse' \
  -e 'POSTGRES_INITDB_ARGS=--lc-collate=C --lc-ctype=C --encoding=UTF-8 --locale=en_US.UTF-8' \
  --env-file=postgres.env \
  postgres

podman create \
  --pod=synapse \
  --name=synapse_synapse \
  --volume=./data/synapse:/data:Z \
  docker.io/matrixdotorg/synapse:latest

